<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', function () {
    return view('welcome');
});

Route::get('/test', function () {
    echo 'Test';
});

Route::get('/users', 'UserController@index');
Route::get('/menus', 'MenuController@index');
Route::get('/employees', 'EmployeeController@index')->name('product_employee');
Route::get('/departments', 'DepartmentController@index')->name('product_department');
Route::get('/supplys', 'SupplyController@index')->name('product_supply');
Route::get('/devices', 'DeviceController@index')->name('product_device');
Route::get('/categorys', 'CategoryController@index')->name('product_category');

Route::get('/products', 'ProductController@index')->name('product_list');

Route::get('/products/create', 'ProductController@create')->name('product_create');
Route::post('/products/store', 'ProductController@store')->name('product_store');

Route::get('/products/edit/{id}', 'ProductController@edit')->name('product_edit');
Route::post('/products/update', 'ProductController@update')->name('product_update');

Route::get('/products/remove/{id}', 'ProductController@remove')->name('product_remove');
Route::post('/products/delete', 'ProductController@delete')->name('product_delete');

Route::get('/addDevice/add', 'DeviceController@add')->name('addDevice_add');
Route::post('/addDevice/store', 'DeviceController@store')->name('addDevice_store');

